找回密碼
 注冊帳號

掃一掃,訪問微社區

Unity打包安卓報錯ArgumentNullException: Value cannot be null.

2
回復
731
查看
打印 上一主題 下一主題
[ 復制鏈接 ]
5熟悉之中
922/1000
排名
3795
昨日變化

3

主題

247

帖子

922

積分

Rank: 5Rank: 5

UID
211876
好友
0
蠻牛幣
1012
威望
0
注冊時間
2017-3-14
在線時間
276 小時
最后登錄
2020-7-3
500蠻牛幣
最近項目需要,做一個安卓應用。在公司開發機上正常打包沒問題,但是在家里把項目拉取到本地后,打包卻出了問題。搞了半天沒有效果,希望各位大神一起來研究研究。電腦配置:

Unity版本:2019.3.2f1
VS版本:VS2017 Community

為方便演示,新建了一個空項目,只有一個場景,沒有代碼和其他插件:

默認的Build Setting設置:

項目名及包名:


.Net版本:


打包后出現的錯誤:








再說一下我嘗試的解決方法:
1.更新SDK版本----無用
2.用另一個新的SDK----無用
3.重裝Unity及Unity Hub----無用
4.切換Build Setting中的.Net版本----無用

有遇到過這個問題的朋友,希望能分享一下你們的解決方案,我是真的不想重裝系統呀。必定雙手把分數奉上。

10.png (62.92 KB, 下載次數: 14)

10.png

9.png (44.49 KB, 下載次數: 17)

9.png

8.png (119.66 KB, 下載次數: 15)

8.png

7.png (37.33 KB, 下載次數: 15)

7.png

6.png (2.41 KB, 下載次數: 11)

6.png

5.png (4.17 KB, 下載次數: 11)

5.png
回復

使用道具 舉報

5熟悉之中
922/1000
排名
3795
昨日變化

3

主題

247

帖子

922

積分

Rank: 5Rank: 5

UID
211876
好友
0
蠻牛幣
1012
威望
0
注冊時間
2017-3-14
在線時間
276 小時
最后登錄
2020-7-3
沙發
樓主 2020-5-18 21:21:58 只看該作者
該問題已經解決了,跟各位分享一下解決方案。
在我的Unity2019.3.2f1中,JDK和SDK是我另外安裝的,不是用的編輯器自帶的。之所以會出現上面的錯誤,是因為沒有勾選下面的NDK和Gradle,其實只需要勾選Gradle就行了,就不會報上面的錯誤了。這個問題確實麻煩了很久,希望能給后面遇到的朋友提個醒吧。
回復

使用道具 舉報

0

主題

13

帖子

15

積分

Rank: 1

UID
348115
好友
0
蠻牛幣
0
威望
0
注冊時間
2020-6-2
在線時間
2 小時
最后登錄
2020-6-4
板凳
2020-6-4 13:52:06 只看該作者
感謝樓主,可不可以把蠻牛幣給我呢?謝謝。正需要呢。
回復

使用道具 舉報

您需要登錄后才可以回帖 登錄 | 注冊帳號

本版積分規則

神马电影34pp影视午夜